<!DOCTYPE html>
<html>
	<head>
		<meta charset="utf-8">
		<meta name="viewport" content="width=device-width, initial-scale=1">
		<title>S05: HTML Tables and Forms</title>
	</head>
	<body>

		<!-- Creates a container element used to group html elements -->
		<!-- header value is used for search engine optimization (SEO) -->
		<div id="header">
			<h1>HTML Tables and Forms</h1>
		</div>

		<!-- Start of Main Section -->
		<main>
			
			<!-- Start of Table Section -->
			<section>
					
				<h2>HTML Entities</h2>
				<p>
					<em>
						Reserved characters in HTML (e.g &lt; or &gt; characters that can mix up with HTML code.) 
					</em>	
				</p>

				<!-- Defines an HTML Table -->
				<table border="1">
					<!-- Used to group the table header content -->
					<thead>		
						<!-- Defines a table row 	 -->
						<tr>
							<!-- Defines table header element -->
							<th colspan="2">Entity</th>
							<th>Description</th>
						</tr>
					</thead>

					<tbody>
						<tr>
							<!-- Defines a table data element -->
							<td>&lt;</td>
							<td>lt</td>
							<td>less than</td>
						</tr>	

						<tr>
							<td>&gt;</td>
							<td>gt</td>
							<td>greater than</td>
						</tr>
						<tr>
							<td>&#8369;</td>
							<td>#8369</td>
							<td>peso sign</td>
						</tr>
						<tr>
							<td>&amp;</td>
							<td>amp</td>
							<td>ampersand</td>
						</tr>
						<tr>
							<td>&quot;</td>
							<td>quot</td>
							<td>double quotation mark</td>
						</tr>
						<tr>
							<td>&apos;</td>
							<td>apos</td>
							<td>single quotation mark</td>
						</tr>
						<tr>
							<td>&ntilde;</td>
							<td>ntilde</td>
							<td>lower tilde</td>
						</tr>
						<tr>
							<td>&Utilde;</td>
							<td>utilde</td>
							<td>upper tilde</td>
						</tr>
					</tbody>
			
					<tfoot>
						<tr>
							<th colspan="3">List of HTML Entities</th>
						</tr>
					</tfoot>
				</table>
				<!-- End of Table Tags -->
			</section>
			<!-- End of Table Section -->

			<!-- Start of Form Section -->
			<section>
				<h2>HTML Forms</h2>
				<p>
					<em>
						Input elements that make up a form
					</em>
				</p>
				<!-- Creates an HTML form to capture user input -->
				<form action="http://google.com">
					<!-- Creates a label and allows for input field selection when clicked -->
					<label for="full_name">Full Name:</label>
					<!-- Creates an input field to capture user input -->
					<input type="text" name="full_name" id="full_name" required>\
					<br><br>	
					<label for="birth_date">Birth Date:</label>
					<input type="date" name="birth_date" id="birth_date" required>
					
					<!-- not best practice -->
					<br><br>	

					<label for="user_age">Age:</label>
					<input type="number" name="user_age" id="user_age" required>
					
					<br><br>	

					<label for="user_gender">Gender:</label>
						<!-- Creates a drop down menu -->
					<select name="user_gender" id="user_gender">
						<option value="Male">Male</option>
						<option value="Female">Female</option>
					</select> 

					<br><br>	

					<label for="notes">Notes:</label>
					<br>
					<textarea name="notes" id="notes"rows="5"></textarea>

					<br><br>	

					<!-- Radio Buttons -->
					<label>New User</label>
					<br>
					<input type="radio" name="new_user" id="user-type1">
						<label for="user-type1">Yes</label>
					<br>
					<input type="radio" name="new_user" id="user-type2">
						<label for="user-type2">No</label>
					
					<br><br>
					<label>Role:</label>
					<br>
						<input type="checkbox" name="role1" id="role1" value="developer"required>
						<label for="role1">Developer</label>
					<br>
						<input type="checkbox" name="role2" id="role2" value="student">
						<label for="role2">Student</label>
					<br>
						<input type="checkbox" name="role3" id="role3" value="manager">
						<label for="role3">Manager</label>
				

					<br><br>
					<!-- Creates a button element that will submit the form data. -->
					<button type="submit">Submit</button>
					<button type="reset">Reset</button>
				</form>
			</section>
			<!-- End of Form Section -->

		<main>
		<!-- End of Main Section -->

</body>
</html>